using Otter;

namespace SuperRefluxPowergridDefense_.entities
{
    class WallRight : Entity
    {
        private Spritemap<string> _spriteMap;
        public int WallHealth = 1000;

        public WallRight(float x, float y)
        {
            X = x; Y = y;
            SetHitbox(40, 100, (int)Global.Type.WALLRIGHT);
            Collider.X = -20;
            Collider.Y = -50;
            _spriteMap = new Spritemap<string>(Assets.WALLLEFTRIGHT, 40, 100);
            _spriteMap.Add("main", new int[] { 1 }, new float[] { 10f, 10f });
            _spriteMap.Play("main");
            _spriteMap.CenterOrigin();
            Graphic = _spriteMap;
        }

        public override void Update()
        {
            base.Update();
        }
        public override void Render()//mainly for testing colliders :D
        {
            base.Render();
            //Collider.Render();
        }

        public void Destroy()
        {
            RemoveSelf();
            Scene.Add(new PlayerDeath(X, Y));
        }

    }
}


